Get Report
http
GET /api/analytics/v1/item-returnsBase URL: https://seller-analytics-api.wildberries.ru · Module: reports · Section: Returns and Item Movement Report · Specification doc ↗
Returns a list of item returns to the seller.
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 1 request | 1 min | 10 requests |
| Service | 1 min | 1 request | 1 min | 10 requests |
| Base with secret | 1 min | 1 request | 1 min | 10 requests |
| Base | 1 h | 2 requests | 30 min | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
dateFrom | query | string | yes | Beginning date of the reporting period |
dateTo | query | string | yes | End date of the reporting period |
status | query | string | no | Return status: - archive — archive - active — active |
limit | query | integer<date> | no | Number of returns in the response |
offset | query | integer<date> | no | How many results to skip. For example, for the value 10, the response will start with the 11 element |
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | ItemReturns200Response |
204 | No data | — |
400 | Bad request | Http4XXResponse |
401 | Unauthorized | object |
402 | Payment required | object |
429 | Too many requests | object |
Structure 200:
countinteger<int64>— Total number of returns for the requested periodreportobject[]— Reportskustring— SKUbrandstring— BrandcompletedDtstring— Date and time the seller received the returndstOfficeAddressstring— Address of pick-up point where the seller receives returnskizstring— Labeling code Chestny ZNAKdstOfficeIdinteger<int64>— ID of pick-up point where the seller receives returnsexpiredDtstring— Expiration date and time of the storage periodnmIdinteger<int64>— WB item numberorderDtstring— Date of the return orderorderIdinteger<int64>— Assembly order IDreadyToReturnDtstring— Date and time when the return is ready for pickupreturnReasonstring— The reason for the return. The field is returned only when"returnType":"Возврат неопознанного товара"returnTypestring— Return typeshkIdinteger<int64>— Item No.sridstring— Return order IDreturnStatusstring— Return statusstickerIdstring— Sticker of the return ordersubjectNamestring— SubcategorytechSizestring— Size
Structure 400:
detailstring— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.reports import Configuration, ApiClient
from wb_api_client.reports.api import ReportsApi
cfg = Configuration(access_token="<your WB JWT>")
api = ReportsApi(ApiClient(cfg))
result = api.get_v1_item_returns(date_from=..., date_to=..., status=..., limit=..., offset=...)
print(result)ts
import {
Configuration,
ReportsApi,
} from "@valeryverkhoturov/wb-api-client/reports";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new ReportsApi(cfg);
const { data } = await api.getV1ItemReturns(dateFrom, dateTo, status, limit, offset);
console.log(data);go
import (
"context"
"fmt"
wbreports "github.com/ValeryVerkhoturov/wb-api-client-go/reports"
)
cfg := wbreports.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbreports.NewAPIClient(cfg)
result, _, err := client.ReportsAPI.GetV1ItemReturns(context.Background()).DateFrom(dateFrom).DateTo(dateTo).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.reports.ApiClient;
import io.github.valeryverkhoturov.wbapi.reports.SecretString;
import io.github.valeryverkhoturov.wbapi.reports.api.ReportsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
ReportsApi api = new ReportsApi(client);
System.out.println(api.getV1ItemReturns(dateFrom, dateTo, status, limit, offset));php
use ValeryVerkhoturov\WbApiClient\Reports\Configuration;
use ValeryVerkhoturov\WbApiClient\Reports\SecretString;
use ValeryVerkhoturov\WbApiClient\Reports\Api\ReportsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new ReportsApi(new Client(), $config);
print_r($api->getV1ItemReturns($date_from, $date_to));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый ReportsApi(Настройки);
Сообщить(Клиент.GetV1ItemReturns(dateFrom, dateTo).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Reports.Api;
using ValeryVerkhoturov.WbApiClient.Reports.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new ReportsApi(config);
Console.WriteLine(api.GetV1ItemReturns(dateFrom, dateTo));rust
use wb_api_client::reports::apis::{configuration::Configuration, reports_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = reports_api::get_v1_item_returns(&cfg, date_from, date_to, status, limit, offset).await;
println!("{:#?}", result);
}